function Create(self)
	self.lifeTimer = Timer();
	self.emitTimer = Timer();

end

function Update(self)
	for i=1,MovableMan:GetMOIDCount()-1 do
		part = ToMovableObject(MovableMan:GetMOFromID(i));
		dist = math.sqrt((self.Pos.X - part.Pos.X) ^ 2 + (self.Pos.Y - part.Pos.Y) ^ 2);
		if dist < 5 and part.ID ~= self.ID then
			self:GibThis();
		end
	end

	self.Vel = self.Vel * 1.2;

	if self.emitTimer:IsPastSimMS(0.01) then
		self.emitTimer:Reset();
		for i = 1, 2 do
			local damagePar = CreateMOPixel("Plasma Emission Particle "..i);
			damagePar.Pos = self.Pos;
			damagePar.Vel = Vector((math.random()*10)+20,0):RadRotate(math.pi*2*math.random());
			damagePar.Team = self.Team;
			damagePar.IgnoresTeamHits = true;
			MovableMan:AddParticle(damagePar);
		end
	end

	if self.lifeTimer:IsPastSimMS(2800) then
		self:GibThis();
	end

end